# TestOutputDescriptor

interface TestOutputDescriptor : OperationDescriptor

Describes a test output operation.

#### Since

6.0

## Functions

getDestination
Link copied to clipboard
abstract fun getDestination(): Destination
Describes whether the content was printed to the standard output or the standard error.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getMessage
Link copied to clipboard
abstract fun getMessage(): String
The text printed by the test.
getName
Link copied to clipboard
abstract fun getName(): String
getParent
Link copied to clipboard
abstract fun getParent(): @Nullable OperationDescriptor